@import 'global';

@keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Firefox < 16 */
@-moz-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}
.biomark-modal{
	position: fixed;
	background: rgba(255,255,255,0.9);
	height: 100vh;
	width: 100vw;
	top: 0;
  left:0;
  right:0;
  bottom:0;
  z-index: 1031;
  @media (max-width: 575px) {
    padding:15px;
  }
  -webkit-animation: fadein 0.5s; /* Safari, Chrome and Opera > 12.1 */
       -moz-animation: fadein 0.5s; /* Firefox < 16 */
        -ms-animation: fadein 0.5s; /* Internet Explorer */
         -o-animation: fadein 0.5s; /* Opera < 12.1 */
            animation: fadein 0.5s;
  .modal_container.small{
    width: 370px;
    @media (max-width: 575px) {
      width: 100%;	
    }
  }
	.modal_container{
    .modal-header{
      border-bottom: solid 1px rgba(217, 223, 235, 0.5);
      padding: 0;
    }
    .modal-header-inline{
      position:absolute;
      right: 45%;
      top: 15px;
      color: $bluey-grey;
      cursor: pointer;
    }
    .modal-closer-icon{
      position:absolute;
      right: 15px;
      top: 15px;
      color: $bluey-grey;
      cursor: pointer;
    }
    .modal-closer-text{
      padding: 30px 15px 0 30px;
      margin-bottom:15px
    }
    .modal-body-sm{
      width:100%;
      min-height: 100px;
      overflow: auto;
      padding: 30px 30px 0 30px;
      
      .action_wrapper{
        padding: 0 30px 30px;
      }
      .critical_label{
        width:100%;
        padding: 0 30px;
        height: auto;
        hr{
          padding:0;
          margin:0;
        }
        p{
          margin:10px 0 0 0;
          padding:0;
          font-family: Muli;
          font-size: 12px;
          font-weight: bold;
          line-height: 1.17;
          letter-spacing: normal;
          text-align: left;
          color: $bluey-grey;
        }
      }
      .patient_info_wrapper{
        min-height: 64px;
        width: 100%;
        padding: 10px 30px;
        overflow: auto;
        
        .image_wrapper{
          width: 64px;
          height: 64px;
          background: #000;
          float: left;
          border-bottom: solid 1px $light-blue-grey;
        }  
        .patient-info{
          width: calc(100% - 64px);
          height: 64px;
          float: left;
          padding:5px;
          .name{
            font-family: Mukta;
            font-size: 18px;
            font-weight: bold;
            line-height: 1;
            text-align: left;
            color: $dark-grey-blue;
            padding:0;
            margin:10px 0 5px 10px;
          }
          .tel-num{
            font-family: Muli;
            font-size: 14px;
            text-align: left;
            color: $bluey-grey;
            margin-left:10px;
          }
        }
      }
      .warning-msg{
        font-family: Mukta;
        font-size: 24px;
        font-weight: bold;
        line-height: 1.5;
        text-align: center;
        color: $dark-grey-blue;
      }
      .warning-description{
        font-family: Muli;
        font-size: 12px;
        line-height: 1.67;
        text-align: center;
        color: $bluey-grey;
      }
      .modal-custom-icon{
        height: 70px;
        width: 70px;
        background: red;
        border-radius: 50%;
        text-align: center;
        background-image: linear-gradient( 342deg,#cc4d74,#f92969);
//background-image: linear-gradient(135deg, #0c32d5, #159BFC);
    
        padding: 10px 0 0 0;
        margin: 30px auto 20px;
        .bio-m-icon{
          color: #fff;
          font-weight: bold;
        }
      }
      .modal-custom-icon-green{
        height: 70px;
        width: 70px;
        background: green;
        border-radius: 50%;
        text-align: center;
        background-image: linear-gradient(135deg, #00a79d, #2bb673);
        padding: 10px 0 0 0;
        margin: 30px auto 20px;
        box-shadow: 0px 0px 70px 10px rgba(0, 167, 157, 0.2);
        .bio-m-icon{
          color: #fff;
          font-weight: bold;
        }
      }
      .modal-custom-icon-yellow{
        margin: 30px auto 20px;
        .bio-m-icon{
          color: #faca0c;
          font-weight: 500;
        }
      }
      

      p.email_label{
        font-family: Muli;
        font-size: 12px;
        font-weight: bold;
        line-height: 1.17;
        text-align: left;
        color: $bluey-grey;
        margin-bottom:0;
      }
      p.email_value{
        font-family: Muli;
        font-size: 16px;
        line-height: 1.75;
        text-align: left;
        color: $dark-grey-blue;
        padding:0;
      }

    }
    .modal-header-sm{
      min-height: 110px;
      width: 100%;
      border-bottom: solid 1px $light-blue-grey;
      overflow: auto;
      
      p.m-description{
        font-family: Muli;
        font-size: 12px;
        line-height: 1.67;
        text-align: left;
        color: $bluey-grey;
        margin: 0 30px 0 30px;
      }
      p.m-title{
        margin: 30px 30px 0 30px;
        font-family: Mukta;
        font-size: 24px;
        font-weight: bold;
        text-align: left;
        color: $dark-grey-blue;
      }
    }
    position: relative;
		width: 570px;
  		min-height: 200px;
  		border-radius: 8px;
  		background-color: #ffffff;
  		box-shadow: 0 10px 40px 0 rgba(136, 136, 136, 0.2);
  		margin:80px auto 0;

      .closer:hover{
        color: $dark-grey-blue;
      }
      .closer{
        position: absolute;
        right: 10px;
        top: 10px;
        color: $bluey-grey;
        cursor: pointer;
      }
  		.top_section{
  			height: 200px;
  			width: inherit;
        border-radius: 8px 8px 0 0;
        .icon-holder-wrapper{
          text-align: center;
          display: block;
          padding-top: 50px;
          i{
            color: #0c32d5;
          }
        }
  		}
  		.bottom_section{
  			text-align: center;
        padding: 0 28px;
  			.marker{
  				margin: 40px 0 30px 0;
  				height: 10px;
  				
  				.active{
  					width: 30px;
  					height: 10px;
  					border-radius: 5px;
  					background-image: linear-gradient(342deg, #0c32d5, #159BFC);
  					display: inline-block;
  					margin: 0 3px;
  				}
  				.marker-item{
  					width: 10px;
					height: 10px;
					margin: 0 3px;
					background-color: $white-two;
					border-radius: 5px;
					display: inline-block;
  				}
  			}
  			.track-Your-Patients{
  				margin: 20px 0 0 0;
				  font-family: Mukta;
				  font-size: 24px;
				  font-weight: bold;
				  color: $dark-grey-blue;
			 }
			.your-patients-result{
			  	font-family: Muli;
			  	font-size: 16px;
			  	line-height: 1.75;
			  	color: $bluey-grey;
          height: 63px;
			}
      }
  .country-ic-container{
    display: inline-table;
  }
	}
}